//
// Texture Class
//
#ifndef Texture_h
#define Texture_h

class CTexture
{
public:
	CTexture();
	~CTexture();
	void Unload();

	bool LoadTGA( const char* Filename );
	bool SaveTGA( const char* Filename );
	void BindTexture( class CRenderer* pRender );
	bool GetColor( CVec2 TexCoord, struct SColor& Color );

private:
	void SwapChannelsRB( );

	unsigned char *m_pImage;
	int m_Width;
	int m_Height;
	int m_bpp; // Bits Per Pixel

	bool m_bLoaded;
};

#endif