//
// Paint Class
//
#ifndef TexPaint_h
#define TexPaint_h

class CTexPaint 
{
public:
	CTexPaint();

	void BrushDown( CVec2 Coord, class CRenderer* pRender );
	void BrushMove( CVec2 Coord, CRenderer* pRender );
	void BrushUp();

	void SetBrushColor( SColor Color );
	SColor GetBrushColor();

	bool IsBrushDown() { return m_bPaint; }

	void IncreaseBrushSize();
	void DecreaseBrushSize();

private:
	void DrawLine( CVec2 TargetPos, CRenderer* pRender );

	bool m_bPaint;

	SColor m_BrushColor;
	float m_BrushSize;
	CVec2 m_BrushPos;

	float m_TexWidth;
	float m_TexHeight;
};

#endif